Security update for gimp

SUSE Security Update: Security update for gimp
Announcement ID: SUSE-SU-2020:0601-1
Rating: moderate
References: #1073625 #1073626 #1073629 #1161998
Cross-References:CVE-2017-17785 CVE-2017-17786 CVE-2017-17788
Affected Products:
  • SUSE Linux Enterprise Workstation Extension 12-SP5
  • SUSE Linux Enterprise Workstation Extension 12-SP4
  • SUSE Linux Enterprise Software Development Kit 12-SP5
  • SUSE Linux Enterprise Software Development Kit 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP4

An update that solves three vulnerabilities and has one errata is now available.

Description:

This update for gimp fixes the following issues:

  • Fix for crashing due to segmentation fault caused by importing ghostscript files. (bsc#1161998)

Security issues fixed:
  • CVE-2017-17785: Fixed an heap-based buffer overflow in FLI import (bsc#1073625)
  • CVE-2017-17786: Fixed an out-of-bounds read in TGA (bsc#1073626)
  • CVE-2017-17788: Fixed an out-of-bounds read in XCF (bsc#1073629)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Workstation Extension 12-SP5:
    zypper in -t patch SUSE-SLE-WE-12-SP5-2020-601=1
  • SUSE Linux Enterprise Workstation Extension 12-SP4:
    zypper in -t patch SUSE-SLE-WE-12-SP4-2020-601=1
  • SUSE Linux Enterprise Software Development Kit 12-SP5:
    zypper in -t patch SUSE-SLE-SDK-12-SP5-2020-601=1
  • SUSE Linux Enterprise Software Development Kit 12-SP4:
    zypper in -t patch SUSE-SLE-SDK-12-SP4-2020-601=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2020-601=1

Package List:

  • SUSE Linux Enterprise Workstation Extension 12-SP5 (x86_64):
    • gimp-2.8.18-9.8.1
    • gimp-debuginfo-2.8.18-9.8.1
    • gimp-debugsource-2.8.18-9.8.1
    • gimp-plugins-python-2.8.18-9.8.1
    • gimp-plugins-python-debuginfo-2.8.18-9.8.1
    • libgimp-2_0-0-2.8.18-9.8.1
    • libgimp-2_0-0-debuginfo-2.8.18-9.8.1
    • libgimpui-2_0-0-2.8.18-9.8.1
    • libgimpui-2_0-0-debuginfo-2.8.18-9.8.1
  • SUSE Linux Enterprise Workstation Extension 12-SP5 (noarch):
    • gimp-lang-2.8.18-9.8.1
  • SUSE Linux Enterprise Workstation Extension 12-SP4 (noarch):
    • gimp-lang-2.8.18-9.8.1
  • SUSE Linux Enterprise Workstation Extension 12-SP4 (x86_64):
    • gimp-2.8.18-9.8.1
    • gimp-debuginfo-2.8.18-9.8.1
    • gimp-debugsource-2.8.18-9.8.1
    • gimp-plugins-python-2.8.18-9.8.1
    • gimp-plugins-python-debuginfo-2.8.18-9.8.1
    • libgimp-2_0-0-2.8.18-9.8.1
    • libgimp-2_0-0-debuginfo-2.8.18-9.8.1
    • libgimpui-2_0-0-2.8.18-9.8.1
    • libgimpui-2_0-0-debuginfo-2.8.18-9.8.1
  • SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):
    • gimp-debuginfo-2.8.18-9.8.1
    • gimp-debugsource-2.8.18-9.8.1
    • gimp-devel-2.8.18-9.8.1
    • gimp-devel-debuginfo-2.8.18-9.8.1
    • libgimp-2_0-0-2.8.18-9.8.1
    • libgimp-2_0-0-debuginfo-2.8.18-9.8.1
    • libgimpui-2_0-0-2.8.18-9.8.1
    • libgimpui-2_0-0-debuginfo-2.8.18-9.8.1
  • SUSE Linux Enterprise Software Development Kit 12-SP4 (aarch64 ppc64le s390x x86_64):
    • gimp-debuginfo-2.8.18-9.8.1
    • gimp-debugsource-2.8.18-9.8.1
    • gimp-devel-2.8.18-9.8.1
    • gimp-devel-debuginfo-2.8.18-9.8.1
    • libgimp-2_0-0-2.8.18-9.8.1
    • libgimp-2_0-0-debuginfo-2.8.18-9.8.1
    • libgimpui-2_0-0-2.8.18-9.8.1
    • libgimpui-2_0-0-debuginfo-2.8.18-9.8.1
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • gimp-lang-2.8.18-9.8.1
  • SUSE Linux Enterprise Desktop 12-SP4 (x86_64):
    • gimp-2.8.18-9.8.1
    • gimp-debuginfo-2.8.18-9.8.1
    • gimp-debugsource-2.8.18-9.8.1
    • gimp-plugins-python-2.8.18-9.8.1
    • gimp-plugins-python-debuginfo-2.8.18-9.8.1
    • libgimp-2_0-0-2.8.18-9.8.1
    • libgimp-2_0-0-debuginfo-2.8.18-9.8.1
    • libgimpui-2_0-0-2.8.18-9.8.1
    • libgimpui-2_0-0-debuginfo-2.8.18-9.8.1

References: